Skip to content

Realtime

realtime_archive_export

Start an async NDJSON export of a channel's archived history to the product bucket.

Tool

realtime_archive_export

Start an async NDJSON export of a channel's archived history to the product bucket.

Start an async NDJSON export of a channel's archived history to the product bucket. Returns an export id; poll realtime_archive_export_status until done.

Behavior

HTTP
POST /realtime/archive/exports

Arguments

NameTypeRequiredDescription
to_tsintegerOnly entries with ts <= to_ts (epoch ms)
channelstringChannel whose archive to export
from_tsintegerOnly entries with ts >= from_ts (epoch ms)

Response

FieldTypeAlwaysDescription
statusstring
export_idstring

Try it

Start an async NDJSON export of a channel's archived history to the product bucket.

When to use

Start an async NDJSON export of a channel's archived history to the product bucket. Returns an export id; poll realtime_archive_export_status until done.

Example

Ask your agent something like this:

Start an async NDJSON export of a channel's archived history to the product bucket.

The agent will invoke realtime_archive_export with these arguments:

{
  "channel": "<channel>"
}

Esc

Start typing to search the docs.

navigateselect